X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Out of the blue, Firefox keeps forgetting my Options settings, and I see the Welcome page each time. Profile manager IS being used.

Posted

For the past three days, Firefox opens as if for the first time - forgetting all the Options setting I save each time. This is a waste of my time and money. It operated for years correctly.

Chosen solution

This indicates a problem with the file that stores preferences, for details see How to fix preferences that won't save.

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • Shockwave Flash 10.1 r82
  • Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8

More Information

TonyE
  • Moderator
1041 solutions 8840 answers

Chosen Solution

This indicates a problem with the file that stores preferences, for details see How to fix preferences that won't save.

cor-el
  • Top 10 Contributor
  • Moderator
10738 solutions 96600 answers

You are behind on security updates of your plugins.

Your above posted system details show outdated plugin(s) with known security and stability risks.

  1. Shockwave Flash 10.1 r82
  2. Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers

Update the Flash plugin to the latest version.

Update the Java plugin to the latest version.

Question owner

The second reply was a non sequitur and utterly unhelpful. Why did you bother? Some sense of superiority? Try being more HELPful, and less sanctimonious. I have EXACTLY the versions I want of each program that work best on MY computer.

Thank goodness Tony E knew the right answer and directed me to the solution. Thanks, Tony!

cor-el
  • Top 10 Contributor
  • Moderator
10738 solutions 96600 answers

It is important to keep software updated to the latest versions to receive security updates.
Using old versions and Firefox 3.5.8 is also 5 versions behind on the current 3.5.13 version makes you more vulnerable than necessary to security vulnerabilities.

See:

Many plugins have full system access and being behind on updates of those can have more serious implications.


Modified by cor-el